- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GNet::FdSet Class Reference

An "fd_set" wrapper type. More...

## Public Member Functions
| FdSet ()
void | init (const EventHandlerList &)
void | raiseEvents (EventHandlerList &, void(EventHandler::*method)())
void | raiseEvent (EventHandler *, void(EventHandler::*method)())
void | invalidate ()
int | fdmax (int=0) const
fd_set * | operator() ()

## Detailed Description

An "fd_set" wrapper type.

Definition at line 46 of file geventloop_unix.cpp.

## Constructor & Destructor Documentation

GNet::FdSet::FdSet | ( |  | ) |

Definition at line 131 of file geventloop_unix.cpp.

## Member Function Documentation

int GNet::FdSet::fdmax | ( | int | n = `0` | ) | const

Definition at line 167 of file geventloop_unix.cpp.

void GNet::FdSet::init | ( | const EventHandlerList & | list | ) |

Definition at line 147 of file geventloop_unix.cpp.

References GNet::EventHandlerList::begin(), GNet::EventHandlerList::end(), GNet::Descriptor::fd(), and GNet::EventHandlerList::fd().

void GNet::FdSet::invalidate | ( |  | ) |

Definition at line 142 of file geventloop_unix.cpp.

fd_set * GNet::FdSet::operator() | ( |  | ) |

Definition at line 137 of file geventloop_unix.cpp.

void GNet::FdSet::raiseEvent | ( | EventHandler * | h,
|  | void(EventHandler::*)() | method
| ) |  |

Definition at line 190 of file geventloop_unix.cpp.

References GNet::EventHandler::onException().

void GNet::FdSet::raiseEvents | ( | EventHandlerList & | list,
|  | void(EventHandler::*)() | method
| ) |  |

Definition at line 172 of file geventloop_unix.cpp.

References GNet::EventHandlerList::begin(), GNet::EventHandlerList::end(), GNet::Descriptor::fd(), GNet::EventHandlerList::fd(), and GNet::EventHandlerList::handler().

The documentation for this class was generated from the following file:

- geventloop_unix.cpp